SuperLU 6.0.0

Functions
memory.c File Reference

Precision-independent memory-related routines. More...

`#include "slu_ddefs.h"`
Include dependency graph for memory.c:

## Functions
void * | superlu_malloc (size_t size)
void | superlu_free (void *addr)
void | SetIWork (int m, int n, int panel_size, int *iworkptr, int **segrep, int **parent, int_t **xplore, int **repfnz, int **panel_lsub, int_t **xprune, int **marker)
| Set up pointers for integer working arrays. More...
void | copy_mem_int (int_t howmany, void *old, void *new)
void | user_bcopy (char *src, char *dest, int bytes)
int * | int32Malloc (int n)
int_t * | intMalloc (int_t n)
int * | int32Calloc (int n)
int_t * | intCalloc (int_t n)

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

    -- SuperLU routine (version 2.0) --
    Univ. of California Berkeley, Xerox Palo Alto Research Center,
    and Lawrence Berkeley National Lab.
    November 15, 1997

## Function Documentation

## ◆ copy_mem_int()

void copy_mem_int | ( | int_t | howmany,
|  | void * | old,
|  | void * | new
| ) |  |

## ◆ int32Calloc()

int * int32Calloc | ( | int | n | ) |

## ◆ int32Malloc()

int * int32Malloc | ( | int | n | ) |

## ◆ intCalloc()

int_t * intCalloc | ( | int_t | n | ) |

## ◆ intMalloc()

int_t * intMalloc | ( | int_t | n | ) |

## ◆ SetIWork()

void SetIWork | ( | int | m,
|  | int | n,
|  | int | panel_size,
|  | int * | iworkptr,
|  | int ** | segrep,
|  | int ** | parent,
|  | int_t ** | xplore,
|  | int ** | repfnz,
|  | int ** | panel_lsub,
|  | int_t ** | xprune,
|  | int ** | marker
| ) |  |

Here is the call graph for this function:

## ◆ superlu_free()

void superlu_free | ( | void * | addr | ) |

## ◆ superlu_malloc()

void * superlu_malloc | ( | size_t | size | ) |

Precision-independent memory-related routines. (Shared by [sdcz]memory.c)

## ◆ user_bcopy()

void user_bcopy | ( | char * | src,
|  | char * | dest,
|  | int | bytes
| ) |  |